Skip to main content
`Ctrl`+`K`

# write_pajek

write_pajek(G, path, encoding='UTF-8')

  Write graph in Pajek format to path.

  Parameters:
    G graph

      A Networkx graph

    path file or string

      File or filename to write. Filenames ending in .gz or .bz2 will be compressed.

  Warning

  Optional node attributes and edge attributes must be non-empty strings. Otherwise it will not be written into the file. You will need to convert those attributes to strings if you want to keep them.

  References

  See http://vlado.fmf.uni-lj.si/pub/networks/pajek/doc/draweps.htm for format information.

  Examples

      >>> G = nx.path_graph(4)
      >>> nx.write_pajek(G, "test.net")